콘텐츠로 건너뛰기

Ideogram Transparent

통합

모델 id ideogram/v3/generate-transparent
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v3/generate-transparent?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.06 60 API 크레딧 이 페이지에서 실행

API 키 받기
Ideogram · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수
rendering_speed 기본값 BALANCED

렌더링 속도 설정입니다.

기본값 1:1

결과 이미지의 가로세로 비율입니다.

num_images 기본값 1

생성할 이미지 수입니다.

고급 negative_prompt · seed · expand_prompt
기본값

원하지 않는 이미지 콘텐츠를 지정합니다. 기본 프롬프트의 설명이 이러한 네거티브 프롬프트 설명보다 우선합니다.

난수 생성에 사용하는 시드 값입니다.

POST /run/ideogram/v3/generate-transparent?wait=20 견적 → $0.06
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v3/generate-transparent?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Ideogram Transparent 정보

스티커, 로고 및 다른 레이아웃에 배치할 에셋에 유용한 투명 배경 이미지를 `prompt`로 생성합니다. 15개 화면 비율, TURBO, BALANCED 또는 QUALITY 렌더링, 선택적 프롬프트 확장, 네거티브 프롬프트, 시드 및 요청당 1~8개 이미지를 제공합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
aspect_ratio선택 사항
유형enum
기본값1:1
1:33:11:22:19:1616:910:1616:102:33:23:44:34:55:41:1
결과 이미지의 가로세로 비율입니다.
rendering_speed선택 사항
유형enum
기본값BALANCED
TURBOBALANCEDQUALITY
렌더링 속도 설정입니다.
expand_prompt선택 사항
유형boolean
기본값true
요청 생성에 사용하는 MagicPrompt 전환입니다.
negative_prompt선택 사항
유형string
기본값
원하지 않는 이미지 콘텐츠를 지정합니다. 기본 프롬프트의 설명이 이러한 네거티브 프롬프트 설명보다 우선합니다.
num_images선택 사항 num_outputs
유형integer
기본값1
1 – 8
생성할 이미지 수입니다.
seed선택 사항
유형integer | null
난수 생성에 사용하는 시드 값입니다.
필수 표준 이름, 사용 가능

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/v3/generate-transparent",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 60,
    "usd": "0.06",
    "charged": 60,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size}
seed
integer난수 생성에 사용하는 시드 값입니다.

더 많은 모델: 텍스트를 이미지로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/ideogram/v3/generate-transparent.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt